Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055252 - Please build with GraphicsMagick, not ImageMagick
Summary: Please build with GraphicsMagick, not ImageMagick
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vdr-skinnopacity
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 21:43 UTC by Ville Skyttä
Modified: 2014-01-20 18:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-20 18:39:37 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2014-01-19 21:43:57 UTC
ImageMagick has a big dependency chain compared to GraphicsMagick, and for example skinenigmang is already built with the latter so it'd make sense to do it for this package as well:

diff --git a/vdr-skinnopacity.spec b/vdr-skinnopacity.spec
index 5ee428d..795432f 100644
--- a/vdr-skinnopacity.spec
+++ b/vdr-skinnopacity.spec
@@ -22 +22 @@ BuildRequires:  freetype-devel
-BuildRequires:  ImageMagick-c++-devel
+BuildRequires:  GraphicsMagick-c++-devel
@@ -45 +45 @@ iconv -f iso-8859-1 -t utf-8 README > README.utf8 ; mv README.utf8 README
-make CFLAGS="%{optflags}" %{?_smp_mflags} all
+make CFLAGS="%{optflags}" IMAGELIB=graphicsmagick %{?_smp_mflags} all

Comment 1 MartinKG 2014-01-20 18:39:37 UTC
thanks for pointing this.

Update succesfully build.
http://koji.fedoraproject.org/koji/buildinfo?buildID=492478
http://koji.fedoraproject.org/koji/buildinfo?buildID=492485


Note You need to log in before you can comment on or make changes to this bug.